<div class="modal-header">
  <h5 class="modal-title" id="exampleModalLabel"><%= @modal_title.nil? ? Tools::Indicator.model_name.human : @modal_title %></h5>
  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
    <span aria-hidden="true">&times;</span>
  </button>
</div>

<%= simple_form_for @tools_indicator, remote: true, html: { novalidate: true } do |f| %>
  <div class="modal-body">
    <%= f.error_notification %>
    <%= f.error_notification message: f.object.errors[:base].to_sentence if f.object.errors[:base].present? %>

    <div class="form-inputs">
      <%= f.hidden_field :rca_id %>
      <%= f.hidden_field :tool_reference %>
      <%= f.hidden_field :tool_num %>
      <%= f.input :name %>
      <%= f.input :description %>
      <%= f.input :target %>
      <%#= f.input :graph_options %>

      <hr>
      <h5>Options</h5>
      <%= f.simple_fields_for :graph_options, OpenStruct.new(@tools_indicator.graph_options) do |foptions| %>
        <%= foptions.input :type, collection: [['line', 'line'], ['bar', 'bar'], ['radar', 'radar']],
                                  # label: 'Graph type',
                                  label: t("graph_options_type", scope: ['activerecord','attributes','tools/indicator']),label_html: {class: "label-wide-horiz"},
                                  input_html: {} %>
        <%= foptions.input :color, collection: [['orange', '0'], ['rose', '1'], ['bleu', '2'], ['jaune', '3'], ['violet', '4']],
                                   # label: 'Color',
                                   label: t("graph_options_color", scope: ['activerecord','attributes','tools/indicator']),label_html: {class: "label-wide-horiz"},
                                   input_html: {} %>
      <% end %>
    </div>
  </div>


  <div class="modal-footer">
    <div class="form-actions">
      <%= f.button :submit, class: 'btn btn-warning' %>
    </div>
  </div>

<% end %>
